---
title: llarp::consensus::detail::incoming_test_state

---

# llarp::consensus::detail::incoming_test_state





## Public Attributes

|                | Name           |
| -------------- | -------------- |
| time_point_t | **[last_test](Classes/structllarp_1_1consensus_1_1detail_1_1incoming__test__state.md#variable-last-test)**  |
| time_point_t | **[last_whine](Classes/structllarp_1_1consensus_1_1detail_1_1incoming__test__state.md#variable-last-whine)**  |
| bool | **[was_failing](Classes/structllarp_1_1consensus_1_1detail_1_1incoming__test__state.md#variable-was-failing)**  |

## Public Attributes Documentation

### variable last_test

```cpp
time_point_t last_test {};
```


### variable last_whine

```cpp
time_point_t last_whine {};
```


### variable was_failing

```cpp
bool was_failing = false;
```


-------------------------------

Updated on 2023-03-06 at 20:36:34 +0000